#ifndef KDIRTABBAR_H
#define KDIRTABBAR_H

#include <QWidget>
#include <QToolButton>

namespace kdk
{

class KDirTabBarPrivate;

class KDirTabBar : public QWidget
{
    Q_OBJECT
public:
    KDirTabBar(QWidget *parent = nullptr);
    ~KDirTabBar();

    /**
     * @brief 设置目标路径
     * @param path
     */
    void setCurrentPath(const QString Dirpath);

    /**
     * @brief 获取目标路径
     * @return QString
     */
    QString currentPath() const;

    /**
     * @brief 设置tabbar显示个数
     * @param int
     */
    void setVisibleDepth(const int depth);

    /**
     * @brief 获取tabbar显示个数
     * @return int
     */
    int visibleDepth() ;

    /**
     * @brief 设置图标
     * @param icon
     */
    void setIcon(int index,const QIcon &icon);

    /**
     * @brief 获取图标
     * @return QIcon
     */
    QIcon icon(int index);

    /**
     * @brief 设置Root
     * @param
     */
    void setRootPath(const QString targetPath);

    /**
     * @brief 获取Root路径
     * @return QString
     */
    QString RootPath();

   /**
    * @brief 设置按钮显示字体长度
    * @param int
    */
    void setTextLength(int length);

   /**
    * @brief 返回字体显示长度
    * @return int
    */
    int textLength();

    QList<QToolButton *> buttons();
//    QToolButton * buttonAt(int index);


signals:
    void tabBarClicked(const QString uri);

protected:
//    void paintEvent(QPaintEvent *event);//有图标和无图标，三态
//    void mousePressEvent(QMouseEvent *e) override;

private:
    Q_DECLARE_PRIVATE(KDirTabBar);
    KDirTabBarPrivate*const d_ptr;

};

}
#endif // KDIRTABBAR_H
